unit _ocr;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Grids;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    SG1: TStringGrid;
    Button2: TButton;
    Memo1: TMemo;
    Button3: TButton;
    Edit1: TEdit;
    RadioGroup1: TRadioGroup;
    Timer1: TTimer;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Memo1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button3Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
{   xBodu = 10;
   xKombinaci = 1024; {}
{   xBodu = 7;
   xKombinaci = 128; {}
{   xBodu = 6;
   xKombinaci = 64; {}
   xBodu = 5;
   xKombinaci = 32; {}
type
   TBody = array[1..xBodu] of TPoint;
   TOCR = object
      Body: TBody;
      Kombinace: array[0..xKombinaci] of byte; { kod znaku }
      Kvalita: integer;
      function KombinaceZnaku( znak: byte ): integer;
      procedure Vyhodnot;
      procedure DrawBody;
   end;


var
   dx,dy: integer;

function TOCR.KombinaceZnaku( znak: byte ): integer;
var  i: integer;
     x,y: integer;
begin
   x := (znak mod 6)*dx;
   y := (znak div 6)*dy;

   Result := 0;

   for i:=1 to xBodu do
   begin
      Result := 2*Result;

      if Form1.Image1.Canvas.Pixels[ x + Body[i].x, y + Body[i].y ] = 0 then
             Result := Result+1
   end;
end;

procedure TOCR.DrawBody;
var  i: integer;
     x,y: integer;
     znak: integer;
begin
   for znak := 0 to 26 do
   begin
      x := (znak mod 6)*dx;
      y := (znak div 6)*dy;


      Form1.Image1.Canvas.Pen.Mode := pmXor{Not};
      Form1.Image1.Canvas.Pen.Color := clLime;
      Form1.Image1.Canvas.Pen.Width := 5;
      for i:=1 to xBodu do
      begin
         {}
         Form1.Image1.Canvas.MoveTo( x + Body[i].x, y + Body[i].y );
         Form1.Image1.Canvas.LineTo( x + Body[i].x, y + Body[i].y )
         {}
      end
   end
end;

procedure TOCR.Vyhodnot;
var  znak: integer;
     k: integer;
begin
   Kvalita := 0;

   FillChar( Kombinace, SizeOf( Kombinace ), #0 );

   for znak := 0 to 25 do
   begin
      k := KombinaceZnaku( znak );

      if Kombinace[k] <> 0 then Dec( Kvalita )    { uz obsazena - konflikt }
                           else Kombinace[k] := znak+1
   end
end;


procedure TForm1.FormCreate(Sender: TObject);
var  i: integer;
     x,y: integer;
begin
   randomize;
   with Image1.Canvas do
   begin
      dx := Image1.Width div 6;
      dy := Image1.Height div 5;

      Font.Name := 'Arial';
      Font.Style := [fsBold];
      Font.Height := dy;

      for i:=0 to 25 do
      begin
         x := i mod 6;
         y := i div 6;

         TextOut( x*dx, y*dy, chr( ord('A')+i ) )
      end
   end

   ; Button1.Click;
   //; Button4.Click;
end;

type
   TGenerace = array[1..10] of TOCR;
var
   Generace: TGenerace;

procedure VytvorGeneraci;
var  j,i: integer;
begin
   for j:=1 to 10 do
   begin
      with Generace[j] do
      begin
         for i:=1 to xBodu do
         begin
            Body[i].x := random( dx );
            Body[i].y := random( dy )
         end;

         Vyhodnot;

         Form1.SG1.Cells[j-1,0] := IntToStr( Kvalita );
{         ShowMessage(IntToStr( Kvalita )) }
      end
   end
end;

const
   mrMutace = 0.15;
   mrKrizeni = 0.2;
   KrokMutace = 10;

procedure Krok;
var i,min,max1,max2,imin,imax1,imax2: integer;
begin
   { najit min,max1,max2: }
   max1 := Generace[1].Kvalita;  imax1 := 1;
   max2 := -500; min := 1000;

   for i:=1 to 10 do
   begin
      if Generace[i].kvalita=0 then
      { nasel jsem reseni: }
      begin
         Form1.Timer1.Enabled := FALSE;
         ShowMessage( 'Heureka!' );
         abort;
      end;
      if Generace[i].Kvalita > max1 then
      begin
         max2 := max1;  imax2 := imax1;
         max1 := Generace[i].Kvalita;  imax1 := i
      end
                                    else
      if Generace[i].Kvalita >= max2 then
      begin
         max2 := Generace[i].Kvalita;  imax2 := i
      end;

      if Generace[i].Kvalita < min then
      begin
         min := Generace[i].Kvalita;  imin := i
      end
   end;

{   with Form1.Memo1.Lines do
      if Count > 2000 then Clear;

   Form1.Memo1.Lines.Add(
       IntToStr( imax1 )+' '+IntToStr( imax2 )+' '+IntToStr( imin )+' ' );
 }
   { nahradit min kombinaci max1 a max2 (s mutaci): }
   for i:=1 to xBodu do
   begin
      if random < mrMutace then
      begin
         Inc( Generace[imin].Body[i].x, random(2*KrokMutace+1)-KrokMutace );
         Inc( Generace[imin].Body[i].y, random(2*KrokMutace+1)-KrokMutace );{}
         {Generace[imin].Body[i].x := random( dx );
         Generace[imin].Body[i].y := random( dy ); {}
      end
                           else
         if random > 0.5 then
            Generace[imin].Body[i] := Generace[imax1].Body[i]
                         else
            Generace[imin].Body[i] := Generace[imax2].Body[i]
   end;

   with Generace[ imin ] do
   begin
      Vyhodnot;
      Form1.SG1.Cells[imin-1,0] := IntToStr( Kvalita )
   end

end;

procedure Krok2;
{ vytvorit dalsi generaci }
var  kvality: array[1..10] of real;
     Generace2: TGenerace;
     i,j,k,p, e: integer;
     sum,r: real;
     Gen: string;
begin
   { nastavit kvality: }
   sum := 0.00;
   for i:=1 to 10 do
   begin
      kvality[i] := 25+ Generace[i].kvalita {-25..0};
      if Generace[i].kvalita=0 then
      { nasel jsem reseni: }
      begin
         Form1.Timer1.Enabled := FALSE;
         ShowMessage( 'Heureka!' );
         abort;
      end;
      sum := sum + kvality[i]
   end;

   { znormalizovat kvality na sum = 1.00: }
   for i:=1 to 10 do
      kvality[i] := kvality[i] / sum;

   { losovat novou generaci: }
   Gen := ''; { pro vypis }
   for j := 1 to 10 do
   begin

      if j=1 then
      { elita - vyber nejlepsiho: }
      begin
         i:=1; { zatim nejlepsi }
         for k:=2 to 10 do
            if kvality[k] > kvality[i] then
                                          i := k;
         e := i
      end
         else
      { opravdu vyber ruletou: }
      begin
         r := random;  { 0..1 }

         i:=0;
         repeat
            Inc( i );
            r := r - kvality[i];
         until r <= 0
      end;

      { i-ty byl vybran }
      Gen := Gen + IntToStr( i ) + ' ';

      Generace2[j] := Generace[i];

      { krizeni: }
      if j<>1 then { elita se nekrizi }
      if random < mrKrizeni then
      begin
         { vybrat partnera: }
         p := 1+random(10);
         { elita: }
         p := e;

         { vlastni krizeni: }
         for k:=1 to xBodu do
            if random > 0.5 then
                  Generace2[2].Body[k] := Generace[p].Body[k]
                            else { Body[k] zustane };
      end;

      { mutace: }
      if j<>1 then { elita nemutuje }
      for k:=1 to xBodu do
         if random < mrMutace then
         begin
            Generace2[j].Body[k].x := random( dx );
            Generace2[j].Body[k].y := random( dy );
         end;
   end;

{   with Form1.Memo1.Lines do
      if Count > 2000 then Clear;
   Form1.Memo1.Lines.Add( Gen ); }

   { vyhodnotiti novou generaci: }
   Generace := Generace2;

   for j:=1 to 10 do
   begin
      with Generace[j] do
      begin
         Vyhodnot;
         Form1.SG1.Cells[j-1,0] := IntToStr( Kvalita );
      end
   end

end;



procedure TForm1.Button1Click(Sender: TObject);
begin
   Memo1.Lines.Add( 'nova generace' );
   VytvorGeneraci
end;

procedure TForm1.Button2Click(Sender: TObject);
var  i: integer;
begin
   case RadioGroup1.ItemIndex of
   0: Krok;
   1: Krok2;
   2: for i:=1 to 1000 do Krok;
   3: for i:=1 to 1000 do Krok2;
   end { case }
end;

procedure TForm1.Memo1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
   Button2Click( NIL )
end;


//const
var
   NejBody: TBody;// =
//((x:37; y:18), (x:51; y:40), (x:48; y:18), (x:49; y:78), (x:39; y:50));
procedure TForm1.Button3Click(Sender: TObject);
begin
{   Generace[ 2 ].Body := NejBody;
   Generace[ 2 ].DrawBody;
   exit; {}

   Generace[ StrToInt( Edit1.Text ) ].DrawBody
end;

var
   Pocet: integer;
procedure TForm1.Timer1Timer(Sender: TObject);
begin
   (********************
   if Pocet mod 20<10{=1} then RadioGroup1.ItemIndex := 2
                    else RadioGroup1.ItemIndex := 3;
   Inc( Pocet );
   if Pocet mod 100=0 then    Button1.Click; { nova generace }
   *********************)
   Button2.Click;
   SG1.Repaint
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   Timer1.Enabled := not Timer1.Enabled
end;

end.
