unit _vodovod;
{$J+}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Grids;

type
  TForm1 = class(TForm)
    BNakresli: TButton;
    Image1: TImage;
    StringGrid1: TStringGrid;
    BZobraz: TButton;
    BKrok: TButton;
    Timer1: TTimer;
    LKroky: TLabel;
    BNacti: TButton;
    BUloz: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    BStartTH: TButton;
    Label1: TLabel;
    EMutace1: TEdit;
    Label2: TLabel;
    EMutace2: TEdit;
    Label3: TLabel;
    Emm1: TEdit;
    Label4: TLabel;
    Emm2: TEdit;
    iGraf: TImage;
    BPrubeh: TButton;
    CBKreslitPocty: TCheckBox;
    Button1: TButton;
    Memo1: TMemo;
    procedure BNakresliClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BZobrazClick(Sender: TObject);
    procedure BKrokClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure BNactiClick(Sender: TObject);
    procedure BUlozClick(Sender: TObject);
    procedure BStartTHClick(Sender: TObject);
    procedure EMutace1Change(Sender: TObject);
    procedure BPrubehClick(Sender: TObject);
    procedure CBKreslitPoctyClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
   MaxX = 100;
   MaxY = MaxX;

type
   TBod = (tbNic,tbTepla,tbStudena,tbOdtok,tbPropoj);

   { prvni matice obsahuje tbNic, tbTepla, tbStudena, tbOdtok,
     druha matice obsahuje tbNic a tbPropoj }
   { prvni matice je symetricka zleva doprava }

   TGen = array[1..2, 1..MaxX,1..MaxY] of TBod;

procedure NulujGen( var G: TGen );
begin
   FillChar( G, SizeOf(G), #0 );
end;

procedure InitGen( var G: TGen );
var  i: integer;
     x,y: integer;
begin
   randomize; {}
   NulujGen( G );
      { byte 0 => tbNic }

   exit;{}
   { tepla - studena: }
   for i:=1 to 5000 do
   begin
      x := 1+random(MaxX);
      y := 1+random(MaxY);
      G[1][x,y] := tbTepla;
      G[1][1+MaxX-x,y] := tbStudena
         { tepla a studena jsou symetricky }
   end;

   { odtok: }
   for i:=1 to 5000 do
   begin
      x := 1+random(MaxX);
      y := 1+random(MaxY);
      G[1][x,y] := tbOdtok
   end;

   { propoj: }
   for i:=1 to 5000 do
   begin
      x := 1+random(MaxX);
      y := 1+random(MaxY);
      G[2][x,y] := tbPropoj
   end;

{   for x:=MaxX div 3 to 2*MaxX div 3 do
   for y:=MaxY div 2 to MaxY do
      G[2][x,y] := tbPropoj; {}
end;

procedure DrawGen( var G: TGen; C: TCanvas );
var  x,y: integer;
const
   Barva: array[TBod] of TColor = ($c0c0c0,clRed,clBlue,clYellow, clBlack );
begin
   for x:=1 to MaxX do
   for y:=1 to MaxY do
      C.Pixels[x,y] := Barva[ G[1][x,y] ];
   for x:=1 to MaxX do
   for y:=1 to MaxY do
      C.Pixels[MaxX+x,y] := Barva[ G[2][x,y] ];
end;


(**************************
procedure Otoc( var G: TGen; var posun: integer );
const
   alfa = 30/360*2*pi;
   sinalfa = 0.5;
   cosalfa = 0.86602540378;
   kxx = cosalfa;
   kxy = sinalfa;
   kyx = -sinalfa;
   kyy = cosalfa;
var  G2: TGen;
     x,y, x2,y2, x0,y0: integer;

begin
   G2 := G;
   x0 := MaxX div 2;
   y0 := MaxY;
   for x:=1 to MaxX do
   for y:=1 to MaxY do
   begin
      x2 := x0+round( kxx*(x-x0) + kxy*(y-y0) );
      y2 := -posun+y0+round( kyx*(x-x0) + kyy*(y-y0) );

      if (x2>=1) and (x2<=MaxX) and
         (y2>=1) and (y2<=MaxY) then
         G2[2][x,y] := G[2][x2,y2]
   end;
   G := G2;
   posun := 0
end;
*******************************)
type
   TPocty = array[TBod] of integer;

const
   KreslitPocty: boolean = FALSE;

procedure Spocti( var G: TGen; uhel: integer; posun: integer;
                  var Pocty: TPocty );
{ spocte pocty tbTepla, tbStudena a tbOdtok pod maskou tbPropoj }
{ bude se vzdy pocitat pro uhel 0 a ### pocet posunu                    }
{                    a pro uhel alfa (30) a ### pocet posunu            }
{ Pootoceni na druhou stranu bude symetricke, protoze Gen je symetricky }
var  x,y, x2,y2, x0,y0: integer;
     kxx,kxy, kyx, kyy: real;
     uh: real;
begin
   if KreslitPocty then
      DrawGen( G, Form1.Image1.Canvas );

   { inicializace pootoceni: }

   uh := uhel/360*2*pi;
   kxx :=  cos( uh );  kxy := sin( uh );
   kyx := -sin( uh );  kyy := cos( uh );

   { vynulovat Pocty: }
   FillChar( Pocty, SizeOf( Pocty ), #0 );

   x0 := MaxX div 2;
   y0 := MaxY;
   for x:=1 to MaxX do
   for y:=1 to MaxY do
   begin
      if uhel<>0 then
      { to je jen pro zrychleni vypoctu }
      begin
         x2 := x0+round( kxx*(x-x0) + kxy*(y-y0-posun) );
         y2 := y0+round( kyx*(x-x0) + kyy*(y-y0-posun) )
      end
         else
      begin
         x2 := x;
         y2 := -posun+y
      end;

      if (x2>=1) and (x2<=MaxX) and
         (y2>=1) and (y2<=MaxY) then
         if G[2][x,y] = tbPropoj then
         begin
            Inc( Pocty[ G[1][x2,y2] ] );
            if KreslitPocty then
               Form1.Image1.Canvas.Pixels[x2,y2] := clBlack
         end
   end;
   if KreslitPocty then
      ShowMessage( 'Pocty: posun='+IntToSTr( posun )+' uhel='+IntToStr( uhel ) )
end;

const
   MaxKrokuPosunu = 10;
var Prubeh: array[1..3,0..MaxKrokuPosunu,1..2] of integer;
        { uhel (0,30,45) x posun (0..MaxKrokuPosunu) x voda (tepla, studena) }

const
   MaxPosun = MaxY div 3;
{   MaxObjem = MaxX*MaxY div 7; { od oka }
   MaxObjem = MaxX*MaxY div 10; { od oka }
{   MaxObjem = MaxX*MaxY div 20; { od oka }
{   MaxObjem = MaxX*MaxY div 100; { od oka }

function HodnotaGenu( var G: TGen ): real;
{ Pozadavky:
   P1: posun 0 => pocty (0,0)     (voda netece)
   P2: uhel  0 => pocty ( x,x )   (tepla stejne jako studena) = VZDY SPLNENO!!
   P3: uhel u1 => pocty ( x,2*x ) (stejny pomer tepla:studena = 1:2)
   P4: uhel u2 => pocty (x,0)     (jen tepla)
   P5: posun 0..MaxY/2 objem 0..MaxPrutok linearne

  Vyhodnocuje se otaceni jen na jednu stranu,
  protoze tvar je symetricky tepla:studena,
  proto je take automaticky splnena podminka P2.


  Hodnoceni chyb (pocet=(x,y)):
  Pro uhel a posun mohu urcit pozadovany objem teple i studene
  (objem je limitovan objemem odtoku, tepla a studena se omezuji se zachovanim pomeru)

  ->OcekavanyTokTeple( uhel, posun: integer );
  ->OcekavanyTokStudene( uhel, posun: integer );

  - zjistit skutecny tok teple a studene (po omezeni odtokem)
  a chybu urcit jako soucet ctvercu odchylek teple a studene

}

   var JeTepla, JeStudena, JeOdtok: integer;
      { tady, misto uvnitr, aby z toho sly ukladat udaje do Prubeh[] }

   function ChybaGenu( var G: TGen; uhel, posun: integer ): real;
   var  MaBytTepla, MaBytStudena: integer;
        Pocty: TPocty;
        pomer: real;
   begin
      Spocti( G, uhel, posun, Pocty );

      JeTepla   := Pocty[ tbTepla ];
      JeStudena := Pocty[ tbStudena ];
      jeOdtok   := Pocty[ tbOdtok ];

      { skutecny prutok teple a studene: }
      if JeTepla+JeStudena > JeOdtok then
      begin
         pomer := JeOdtok/(JeTepla+JeStudena);
         JeTepla   := round( JeTepla   * pomer );
         JeStudena := round( JeStudena * pomer )
      end;

      { pozadovany prutok podle uhlu a posunu: }
      case uhel of
       0: pomer := 1/2;
      30: pomer := 2/3;
      45: pomer := 1;
      else
         assert( FALSE, 'Spatny uhel' )
      end;

      MaBytTepla   := round( pomer     * MaxObjem * posun/MaxPosun );
      MaBytstudena := round( (1-pomer) * MaxObjem * posun/MaxPosun );

      ChybaGenu := (sqr(JeTepla-MaBytTepla) + sqr(JeStudena-MaBytStudena))
   end;

var  u,p: integer;
     posun, uhel: integer;
     Chyba, ChybaUhlu: real;
begin { Hodnota }

   Chyba := 0;
   for u:=1 to 3 do
   begin
      case u of
      1: uhel := 0;
      2: uhel := 30;
      3: uhel := 45;
      end; { case }

      ChybaUhlu := 0;

      for p:=0 to MaxKrokuPosunu do
      begin
         posun := p*MaxPosun div MaxKrokuPosunu;
         ChybaUhlu := ChybaUhlu + ChybaGenu( G, uhel, posun )
         ; Prubeh[u,p,1] := JeTepla;
         ; Prubeh[u,p,2] := JeStudena;
            { udaje pro kresleni grafu }
      end;

{      Chyba := Chyba + sqr( ChybaUhlu );{}
      Chyba := Chyba + sqr(sqr( ChybaUhlu )/100000000);
         { ctverce chyb pro jednotlive uhly, aby nemohl byt anyuhel zcela zanedban }

   end;

   HodnotaGenu := -Chyba
end;

procedure DrawPrubeh( var G: TGen; C: TCanvas );
var  u,p, voda: integer;
     pocty: TPocty;
     ky: real;
const
   dy = 50;
   dx = 20;
begin
   HodnotaGenu( G );
      { tim se naplni pole prubeh }
      { !!! ale nesmi mezi tim bezet Thread - ten by to prepsal !! }

   ky := dy/MaxObjem;
   C.Pen.Width := 3;
   for u:=1 to 3 do
   { cyklus pres uhel }
   begin
      C.Pen.Width := 1;
      C.Pen.Color := clBlack;
      C.Rectangle( 0,(u-1)*dy,dx*MaxKrokuPosunu,(u)*dy );
      C.Pen.Width := 3;
      for voda := 1 to 2 do
      begin
         if voda=1 then
                    C.Pen.Color := clRed
                   else
                    C.Pen.Color := clBlue;

         C.MoveTo( 0, (u)*dy );

         for p:=0 to MaxKrokuPosunu do
            C.LineTo( voda+ dx*p, voda+ (u)*dy - round( ky*Prubeh[u,p,voda] ) );
      end
   end
end;


const
    MutacePocet1: integer = 1000; {MaxX*MaxY div 100;{}
    MutacePocet2: integer = 1000; {MaxX*MaxY div 100;{}
    mm1: integer          = 20;
    mm2: integer          = 20;

{var  _xx,_xw: integer;{}

procedure Potomek( var G1, G2, G: TGen );
var x,y,  i: integer;
    xx,xw, yy,yw: integer;
    cl: TBod;
begin

   { zkrizeni: }
   (****************************)
   for i:=1 to 2 do
   for x:=1 to MaxX div 2 do
   for y:=1 to MaxY do
   if random < 0.5 then
      G[i][x,y] := G1[i][x,y]
                   else
      G[i][x,y] := G2[i][x,y];
   (*****************************)
   { G := G1; {}

           
   { mutace: }
   for i := 1 to random( MutacePocet1 ) do
   begin
      x := 1+random( MaxX );
      y := 1+random( MaxY );
      G[1][x,y] := TBod( random(4) )
   end;

   (**)
   { mutace2: }
   xx := 1+random(MaxX div 2);
   xw := 1+random(mm1);
   yy := 1+random(MaxX div 2);
   yw := 1+random(mm1);
   cl := TBod( random(4) );

   { osetreni rozsahu: }
   if xx+xw > MaxX then
                      xw := MaxX-xx;
   if yy+yw > MaxY then
                      yw := MaxY-yy;

{   _xx := xx;  _xw := xw; {}

   for x:=xx to xx+xw do
   for y:=yy to yy+yw do
      G[1][x,y] := cl;


   for i := 1 to random( MutacePocet2 ) do
   begin
      x := 1+random( MaxX );
      y := 1+random( MaxY );
{   TBod = (tbNic,tbTepla,tbStudena,tbOdtok,tbPropoj);{}
      G[2][x,y] := TBod( 4-ord(G[2][x,y]) )
         { preklopit tbNic x tbPropoj }
   end;

   { mutace2: }
   xx := 1+random(MaxX div 2);
   xw := 1+random(mm2);
   yy := 1+random(MaxX div 2);
   yw := 1+random(mm2);
   cl := TBod( 4*random(2) );

   { osetreni rozsahu: }
   if xx+xw > MaxX then
                      xw := MaxX-xx;
   if yy+yw > MaxY then
                      yw := MaxY-yy;

{   _xx := xx;  _xw := xw; {}
   for x:=xx to xx+xw do
   for y:=yy to yy+yw do
      G[2][x,y] := cl;

   { doplneni na symetrii: }
   for x:=1 to MaxX div 2 do
   for y:=1 to MaxY do
   begin
       G[2][1+MaxX-x,y] := G[2][x,y];

       case G[1][x,y] of
       tbTepla:   G[1][1+MaxX-x,y] := tbStudena;
       tbStudena: G[1][1+MaxX-x,y] := tbTepla;
       tbOdtok:   G[1][1+MaxX-x,y] := tbOdtok;
       tbNic:     G[1][1+MaxX-x,y] := tbNic;
       end;
   end
end;


var  G: TGen;
     posun: integer;
     Pocty: TPocty;

const
   MaxPopulace = 10;
type
   TPopulace = array[0..MaxPopulace] of  { [0] = pomocny pro vymenovani }
   record
      G: TGen;
      hodnota: real
   end;

var
   Populace: TPopulace;
   PocetKroku: integer;

procedure VytvorPopulaci;
var  i: integer;
     G: TGen;
begin
   for i:= 1 to MaxPopulace do
   begin
      InitGen( Populace[i].G );
      Populace[i].hodnota := HodnotaGenu( Populace[i].G )

{      ; Form1.StringGrid1.Cells[1,i] := IntToStr( Populace[i].hodnota ) {}
   end;
{   Form1.StringGrid1.RowCount := MaxPopulace+1 {}
end;


procedure Krok;
{ najit dva nejlepsi a nejhorsiho, zkrizit, potomka ohodnotit }
var  i: integer;
begin
   { setridit: }
   i := 1;
   while i < MaxPopulace do
   begin
      if Populace[i].hodnota < Populace[i+1].hodnota then
      { vymenit: }
      begin
         Populace[0] := Populace[i];
         Populace[i] := Populace[i+1];
         Populace[i+1] := Populace[0];

         if i>1 then i:=i-1  { porovnavam 2-3 => musim 1-2, for o 1 zvysi }
                else i:=i+1  { nebudu znovu porovnavat 1-2 }
      end
         else
            i := i+1
   end; { while }

   Potomek( Populace[1].G, Populace[1+random(MaxPopulace)].G, Populace[ 0 ].G );
   Populace[ MaxPopulace ].G := Populace[ 0 ].G;

   with Populace[ MaxPopulace ] do
      hodnota := HodnotaGenu( G ){+100000*PocetKroku{};
                                     { pokus prosazovat nove }

   Inc( PocetKroku );
end;




{===========================================================}
type
  THKrok = class(TThread)
  private
    { Private declarations }
  protected
    procedure Execute; override;
  end;

{ Important: Methods and properties of objects in VCL can only be used in a
  method called using Synchronize, for example,

      Synchronize(UpdateCaption);

  and UpdateCaption could look like,

    procedure THKrok.UpdateCaption;
    begin
      Form1.Caption := 'Updated in a thread';
    end; }

{ THKrok }

procedure THKrok.Execute;
begin
  { Place thread code here }
  while not Terminated do
                        Krok
end;
{=============================================================}

var
   TH: THKrok;

procedure TForm1.FormCreate(Sender: TObject);
begin
   {InitGen( G ); {}
   VytvorPopulaci;

   OpenDialog1.InitialDir := ExtractFileDir( ParamStr(0) );
   SaveDialog1.InitialDir := ExtractFileDir( ParamStr(0) );

   EMutace1Change( NIL );

   TH := THKrok.Create( TRUE )
end;

procedure TForm1.BZobrazClick(Sender: TObject);
var  i: integer;
begin
   for i:=1 to MaxPopulace do
      StringGrid1.Cells[1,i] := FloatToStrF( Populace[i].hodnota, ffExponent,8,2 );

   Form1.StringGrid1.RowCount := MaxPopulace+1 {}
end;

var
   nej: real;
const
   LastPocetKroku: integer = -maxint;
   LastNej: real = 1E20;

procedure TForm1.BKrokClick(Sender: TObject);
begin
{   Krok; {}
   BZobraz.Click;
   if Populace[1].hodnota<>nej then
   begin
      BNakresli.Click;
      nej := Populace[1].hodnota
   end;


   LKroky.Caption := IntToStr( PocetKroku );
   if PocetKroku -lastPocetKroku > 100 then
   begin
      Memo1.Lines.Add( TimeToStr(now)+': '+StringGrid1.Cells[1,1] );
      lastPocetKroku := PocetKroku;

      (**
      if -nej/nej < 2 then { nezlepsilo se ani 3x za poslednich 1000kroku }
      { => zkusit zmenit parametry mutace: }
      begin
         EMutace1.Text := IntToStr( random( 1000 ) );
         EMutace2.Text := IntToStr( random( 1000 ) ); {}
         Emm1.Text     := IntToStr( random( 200 ) );
         Emm2.Text     := IntToStr( random( 200 ) );
      end
      *******)
   end

end;

procedure TForm1.BNakresliClick(Sender: TObject);
begin
   DrawGen( Populace[1].G, Image1.Canvas );
   BPrubeh.Click
end;


procedure TForm1.Timer1Timer(Sender: TObject);
begin
   BKrok.Click
end;

procedure TForm1.BNactiClick(Sender: TObject);
var
   f: File of TPopulace;
   i: integer;
begin
   if OpenDialog1.Execute then
   begin
      assignfile( f, OpenDialog1.FileName );
      reset( f );
      try
      read( f, Populace );
      except
      end;
      closefile( f );

      { prepocitat hodnoty, pokud se mezi tim zmenilo kriterium: }
      for i:=1 to MaxPopulace do
      with Populace[i] do
         hodnota := HodnotaGenu( G );
         
      BZobraz.Click
   end
end;

procedure TForm1.BUlozClick(Sender: TObject);
var
   f: File of TPopulace;
begin
   if SaveDialog1.Execute then
   begin
      assignfile( f, SaveDialog1.FileName );
      rewrite( f );
      write( f, Populace );
      closefile( f );
      MessageBeep( 0 )
   end
end;

procedure TForm1.BStartTHClick(Sender: TObject);
begin
   if TH.Suspended then
   begin
      TH.Resume;
      BStartTH.Caption := 'Stop'
   end
      else
   begin
      TH.Suspend;
      BStartTH.Caption := 'Start'
   end
end;

procedure TForm1.EMutace1Change(Sender: TObject);
begin
   try
      MutacePocet1 := StrToInt( EMutace1.Text );
      MutacePocet2 := StrToInt( EMutace2.Text );
      mm1     := StrToInt( Emm1.Text );
      mm2     := StrToInt( Emm2.Text );
   except
   end
end;

procedure TForm1.BPrubehClick(Sender: TObject);
begin
   TH.Suspend;
   iGraf.Picture := NIL;
   DrawPrubeh( Populace[1].G, iGraf.Canvas );
   TH.Resume
end;

procedure TForm1.CBKreslitPoctyClick(Sender: TObject);
begin
   KreslitPocty := CBKreslitPocty.Checked
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   Krok
end;

end.
====================================
Historie MaxObjem=1/10, PocetKrokuPosunu=10, MaxPosun=1/3:
22:26:04: -6,1172135E+10
22:30:46: -3,9775002E+05
22:34:58: -1,8007676E+05
22:39:02: -1,4130972E+05
22:43:05: -1,2636673E+05
22:47:09: -8,9451119E+04
22:51:10: -7,1522314E+04
22:55:14: -6,5306463E+04
22:59:18: -5,8460614E+04
23:03:23: -5,1502742E+04
23:07:23: -4,5420456E+04
23:11:23: -3,3507504E+04
23:15:28: -3,2195508E+04
23:19:41: -2,5871700E+04
23:24:01: -2,1260066E+04
23:28:14: -1,7386398E+04
23:32:26: -1,6057951E+04
23:36:39: -1,4805711E+04
23:40:51: -1,2801367E+04
23:44:56: -1,1524170E+04
23:49:00: -1,1111363E+04
23:53:04: -9,7075121E+03
23:57:13: -8,8511074E+03
0:01:21: -8,0951874E+03
0:05:28: -7,0457130E+03
0:09:32: -6,6377946E+03
0:13:38: -6,2877641E+03
0:17:43: -5,9665938E+03
0:21:51: -5,6545199E+03
0:25:52: -5,5490569E+03
0:29:56: -5,2588225E+03
0:33:58: -4,9621424E+03
0:37:59: -4,9244031E+03
0:42:01: -4,7840982E+03
0:46:05: -4,5329074E+03
0:50:06: -4,4049701E+03
0:54:14: -4,1420045E+03
0:58:17: -3,9880059E+03
1:02:21: -3,8029476E+03
1:06:25: -3,5561046E+03
1:10:30: -3,4370545E+03
1:14:36: -3,2655502E+03
1:18:41: -3,1713243E+03
1:22:45: -3,0083455E+03
1:26:49: -2,9135358E+03
1:30:48: -2,9035028E+03
1:34:48: -2,8576687E+03
1:38:48: -2,7995383E+03
1:42:49: -2,7669016E+03
1:46:51: -2,7023615E+03
1:50:51: -2,6503902E+03
1:54:54: -2,6335573E+03
1:58:58: -2,5261883E+03
2:02:58: -2,4728621E+03
2:06:57: -2,4415141E+03
2:10:57: -2,3998389E+03
2:15:01: -2,2431590E+03
2:19:00: -2,2348446E+03
2:23:04: -2,1587049E+03
2:27:02: -2,1575272E+03
2:31:05: -2,1032056E+03
2:35:03: -2,1021889E+03
2:39:05: -2,0636811E+03
2:43:03: -2,0442090E+03
2:47:06: -1,9884328E+03
2:51:08: -1,9073553E+03
2:55:13: -1,8720419E+03
2:59:19: -1,8001442E+03
3:03:19: -1,7788647E+03
3:07:20: -1,7668659E+03
3:11:18: -1,7570846E+03
3:15:16: -1,7570846E+03
3:19:18: -1,7364194E+03
3:23:19: -1,6970709E+03
3:27:17: -1,6889520E+03
3:31:18: -1,6746700E+03
3:35:16: -1,6746700E+03
3:39:16: -1,6540792E+03
3:43:18: -1,6119543E+03
3:47:17: -1,6119543E+03
3:51:15: -1,6119543E+03
3:55:17: -1,6021694E+03
3:59:24: -1,5103467E+03
4:03:24: -1,4537555E+03
4:07:31: -1,2941725E+03
4:11:31: -1,2557486E+03
4:15:29: -1,2557486E+03
4:19:29: -1,2296709E+03
4:23:30: -1,1837076E+03
4:27:28: -1,1837076E+03
4:31:26: -1,1831230E+03
4:35:33: -1,1496159E+03
4:39:43: -1,1098887E+03
4:43:56: -1,0570062E+03
4:48:04: -1,0267561E+03
4:52:13: -1,0061917E+03
4:56:29: -9,4543659E+02
5:00:42: -9,0565346E+02
5:04:50: -8,7209085E+02
5:08:57: -8,5443988E+02
5:13:07: -8,3152513E+02
5:17:16: -8,1183239E+02
5:21:22: -8,0156498E+02
5:25:31: -7,9333712E+02
5:29:33: -7,9079683E+02
5:33:31: -7,8983894E+02
5:37:34: -7,8245192E+02
5:41:38: -7,6815087E+02
5:45:44: -7,6126481E+02
5:49:55: -7,3018181E+02
5:53:57: -7,1274904E+02
5:58:04: -7,0467004E+02
6:02:04: -7,0140077E+02
6:06:10: -6,9265749E+02
6:10:17: -6,8530879E+02
6:14:25: -6,6801560E+02
6:18:28: -6,6406258E+02
6:22:36: -6,5146204E+02
6:26:40: -6,3505821E+02
6:30:39: -6,3492741E+02
6:34:39: -6,3255997E+02
6:38:41: -6,1694045E+02
6:42:46: -6,0274843E+02
6:46:50: -5,8508186E+02
6:51:01: -5,6139236E+02
6:55:01: -5,6078859E+02
6:58:59: -5,5821660E+02
7:03:02: -5,5541503E+02
7:07:04: -5,5490978E+02
7:11:06: -5,5102825E+02
7:15:13: -5,3312094E+02
7:19:15: -5,2800305E+02
7:23:18: -5,1401476E+02
7:27:20: -5,1146711E+02
7:31:24: -5,0604962E+02
7:35:25: -5,0532308E+02
7:39:29: -4,9416046E+02
7:43:35: -4,8800411E+02
7:47:34: -4,8800411E+02
7:51:42: -4,7855170E+02
7:55:49: -4,7303767E+02
7:59:59: -4,5850774E+02
8:03:59: -4,5463105E+02
8:08:10: -4,3865654E+02
8:12:18: -4,1740642E+02
8:16:25: -4,1144807E+02
8:20:27: -4,0759820E+02
8:24:25: -4,0740554E+02
8:28:31: -4,0477692E+02
8:32:42: -3,8388198E+02
8:36:41: -3,8382687E+02
8:40:39: -3,8265656E+02
8:44:41: -3,7971349E+02
8:48:46: -3,7433718E+02
8:52:52: -3,7165060E+02
8:56:52: -3,6835720E+02
9:00:53: -3,6753047E+02
(157000 krok)
========================
Memo1
12:21:35: -5,2587433E+10
12:22:25: -1,4470089E+04
12:22:35: -1,4372621E+04
12:22:44: -1,4321784E+04
12:22:54: -1,4189003E+04
12:23:05: -1,4180916E+04
12:23:15: -1,4180916E+04
12:23:25: -1,4180916E+04
12:23:35: -1,4180916E+04
12:23:45: -1,4180916E+04
12:23:55: -1,4180916E+04
12:24:06: -1,4180916E+04
12:24:16: -1,4037290E+04
12:24:26: -1,4037290E+04
12:24:36: -1,3714058E+04
12:24:46: -1,3714058E+04
12:24:57: -1,3502688E+04
12:25:07: -1,3502688E+04
12:25:17: -1,3295867E+04
12:25:27: -1,3201644E+04
12:25:38: -1,2823801E+04
12:25:47: -1,2823801E+04
12:25:58: -1,2653553E+04
12:26:08: -1,2429400E+04
12:26:18: -1,2374235E+04
12:26:29: -1,2319148E+04
12:26:38: -1,2178757E+04
12:26:49: -1,2178757E+04
12:26:59: -1,2178757E+04
12:27:09: -1,2178757E+04
12:27:19: -1,2178757E+04
12:27:30: -1,2140009E+04
12:27:39: -1,2140009E+04
12:27:50: -1,2140009E+04
12:28:00: -1,2140009E+04
12:28:10: -1,2140009E+04
12:28:20: -1,2140009E+04
12:28:30: -1,2140009E+04
12:28:40: -1,2140009E+04
12:28:51: -1,2140009E+04
12:29:01: -1,2140009E+04
12:29:11: -1,2140009E+04
12:29:21: -1,2140009E+04
12:29:31: -1,2140009E+04
12:29:44: -1,2140009E+04
12:29:54: -1,2140009E+04
12:30:04: -1,2140009E+04
12:30:14: -1,2140009E+04
12:30:24: -1,2140009E+04
12:30:35: -1,2140009E+04
12:30:45: -1,2140009E+04
12:30:55: -1,2140009E+04
12:31:05: -1,2140009E+04
12:31:15: -1,2140009E+04
12:31:25: -1,2140009E+04
12:31:36: -1,2140009E+04
12:31:46: -1,2140009E+04
12:31:56: -1,2140009E+04
12:32:06: -1,2140009E+04
12:32:16: -1,2140009E+04
12:32:26: -1,2140009E+04
12:32:37: -1,1845168E+04
12:32:47: -1,1776823E+04
12:32:57: -1,1661595E+04
12:33:07: -1,1661595E+04
12:33:18: -1,1308424E+04
12:33:28: -1,1001297E+04
12:33:38: -1,0987399E+04
12:33:48: -1,0637936E+04
12:33:58: -1,0389136E+04
12:34:08: -1,0297965E+04
12:34:19: -1,0218957E+04
12:34:29: -1,0200414E+04
12:34:39: -1,0059217E+04
12:34:49: -9,5853767E+03
12:34:59: -9,2719035E+03
12:35:10: -8,7453609E+03
12:35:20: -8,6382255E+03
12:35:30: -8,4825968E+03
12:35:40: -8,4825968E+03
12:35:50: -8,4825968E+03
12:36:01: -8,0550957E+03
12:36:10: -7,9707314E+03
12:36:21: -7,9526072E+03
12:36:29: -7,8944738E+03
12:36:39: -7,5729816E+03
12:36:49: -7,5728884E+03
12:36:59: -7,3834358E+03
12:37:09: -7,2504747E+03
12:37:18: -7,2046168E+03
12:37:28: -7,2046168E+03
12:37:38: -6,9637133E+03
12:37:48: -6,9307345E+03
12:37:58: -6,9307345E+03
12:38:08: -6,9307345E+03
12:38:19: -6,9307345E+03
12:38:29: -6,9307345E+03
12:38:39: -6,8668502E+03
12:38:49: -6,8668502E+03
12:38:59: -6,8668502E+03
12:39:09: -6,8115798E+03
12:39:18: -6,7126237E+03
12:39:28: -6,5572861E+03
12:39:38: -6,2763131E+03
12:39:48: -6,2763131E+03
12:39:58: -6,2369040E+03
12:40:08: -6,0690125E+03
12:40:19: -6,0349292E+03
12:40:29: -5,9569895E+03
12:40:37: -5,9508386E+03
12:40:47: -5,8041700E+03
12:40:57: -5,8041700E+03
12:41:07: -5,7971928E+03
12:41:18: -5,6723709E+03
12:41:28: -5,4488720E+03
12:41:38: -5,3104428E+03
12:41:48: -5,3104428E+03
12:41:59: -5,1012280E+03
12:42:08: -5,0960440E+03
12:42:18: -5,0763480E+03
12:42:29: -5,0334707E+03
12:42:39: -4,8012217E+03
12:42:49: -4,8012217E+03
12:42:59: -4,6727675E+03
12:43:09: -4,6673089E+03
12:43:20: -4,6596546E+03
12:43:30: -4,6420274E+03
12:43:40: -4,6382643E+03
12:43:50: -4,6382643E+03
12:44:00: -4,6382643E+03
12:44:10: -4,6382643E+03
12:44:21: -4,6382643E+03
12:44:31: -4,5515498E+03
12:44:41: -4,5515498E+03
12:44:51: -4,4177313E+03
12:45:01: -4,3885712E+03
12:45:12: -4,3029094E+03
12:45:22: -4,3029094E+03
12:45:32: -4,2029268E+03
12:45:42: -4,2029268E+03
12:45:52: -4,1639452E+03
12:46:02: -4,1639452E+03
12:46:13: -4,1639452E+03
12:46:23: -4,0139158E+03
12:46:33: -4,0139158E+03
12:46:43: -3,9931535E+03
12:46:53: -3,9846391E+03
12:47:03: -3,9846391E+03
12:47:14: -3,9846391E+03
12:47:24: -3,9201480E+03
12:47:32: -3,9176285E+03
12:47:42: -3,9176285E+03
12:47:52: -3,8591288E+03
12:48:03: -3,7976466E+03
12:48:13: -3,7837875E+03
12:48:23: -3,7263834E+03
12:48:33: -3,7263834E+03
12:48:43: -3,7263834E+03
12:48:53: -3,7263834E+03
12:49:04: -3,7263834E+03
12:49:14: -3,7059400E+03
12:49:24: -3,6887874E+03
12:49:34: -3,6887874E+03
12:49:44: -3,6887874E+03
12:49:54: -3,5652589E+03
12:50:05: -3,5652589E+03
12:50:15: -3,5652589E+03
12:50:25: -3,5274853E+03
12:50:35: -3,5274853E+03
12:50:45: -3,4923463E+03
12:50:55: -3,4923463E+03
12:51:05: -3,4923463E+03
12:51:15: -3,4485558E+03
12:51:26: -3,4470394E+03
12:51:36: -3,3640066E+03
12:51:46: -3,3640066E+03
12:51:56: -3,3640066E+03
12:52:06: -3,3640066E+03
12:52:16: -3,3640066E+03
12:52:27: -3,3502998E+03
12:52:39: -3,3407674E+03
12:52:49: -3,3261606E+03
12:53:01: -3,1665841E+03
12:53:11: -3,1390041E+03
12:53:21: -3,1390041E+03
12:53:32: -3,1390041E+03
12:53:42: -3,1154080E+03
12:53:52: -3,0869356E+03
12:54:02: -3,0652927E+03
12:54:12: -3,0652927E+03
12:54:21: -3,0084276E+03
12:54:30: -3,0084276E+03
12:54:41: -2,9814395E+03
12:54:51: -2,9801932E+03
12:55:02: -2,9573757E+03
12:55:11: -2,9213869E+03
12:55:22: -2,8432682E+03
12:55:32: -2,7932330E+03
12:55:42: -2,7909202E+03
12:55:52: -2,7909202E+03
12:56:02: -2,7846630E+03
12:56:13: -2,7387563E+03
12:56:22: -2,7272307E+03
12:56:33: -2,6914268E+03
12:56:43: -2,6914268E+03
12:56:53: -2,5773283E+03
12:57:03: -2,5675019E+03
12:57:13: -2,4965232E+03
12:57:23: -2,4753630E+03
12:57:34: -2,4753630E+03
12:57:44: -2,4681272E+03
12:57:54: -2,4334369E+03
12:58:04: -2,3681686E+03
12:58:14: -2,3550772E+03
12:58:24: -2,3550772E+03
12:58:35: -2,3295177E+03
12:58:45: -2,3240990E+03
12:58:55: -2,2176115E+03
12:59:04: -2,2087067E+03
12:59:13: -2,2087067E+03
12:59:23: -2,1899785E+03
12:59:34: -2,1391390E+03
12:59:44: -2,1352926E+03
12:59:54: -2,1352926E+03
13:00:04: -2,0556436E+03
13:00:15: -2,0244640E+03
13:00:24: -2,0244640E+03
13:00:33: -2,0170272E+03
13:00:43: -2,0123627E+03
13:00:53: -2,0123627E+03
13:01:03: -2,0123627E+03
13:01:13: -2,0123627E+03
13:01:24: -1,9964739E+03
13:01:34: -1,9964739E+03
13:01:44: -1,9652018E+03
13:01:54: -1,9603931E+03
13:02:04: -1,9251364E+03
13:02:14: -1,8786885E+03
13:02:24: -1,8786885E+03
13:02:35: -1,8194633E+03
13:02:45: -1,8194633E+03
13:02:55: -1,7922513E+03
13:03:05: -1,7717054E+03
13:03:15: -1,7575251E+03
13:03:25: -1,7451164E+03
13:03:35: -1,7077031E+03
13:03:46: -1,6862628E+03
13:03:56: -1,6862628E+03
13:04:06: -1,6862628E+03
13:04:16: -1,6862628E+03
13:04:28: -1,6784387E+03
13:04:38: -1,6669633E+03
13:04:51: -1,6395675E+03
13:05:09: -1,6395675E+03
13:05:29: -1,6395675E+03
13:05:40: -1,6305026E+03
13:05:50: -1,6095424E+03
13:06:00: -1,6043050E+03
13:06:10: -1,5674307E+03
13:06:20: -1,5569532E+03
13:06:30: -1,5569532E+03
13:06:41: -1,5378866E+03
13:06:49: -1,5368456E+03
13:06:59: -1,5122188E+03
13:07:10: -1,5082192E+03
13:07:19: -1,5082192E+03
13:07:28: -1,5028436E+03
13:07:38: -1,4795481E+03
13:07:48: -1,4795481E+03
13:07:59: -1,4773158E+03
13:08:08: -1,4740228E+03
13:08:19: -1,4378930E+03
13:08:28: -1,4135993E+03
13:08:40: -1,4116246E+03
13:08:50: -1,3856176E+03
13:08:59: -1,3856176E+03
13:09:09: -1,3856176E+03
13:09:19: -1,3768057E+03
13:09:29: -1,3768057E+03
13:09:40: -1,3764238E+03
13:09:50: -1,3764238E+03
13:10:00: -1,3711496E+03
13:10:11: -1,3405004E+03
13:10:20: -1,3405004E+03
13:10:31: -1,3327281E+03
13:10:41: -1,3327281E+03
13:10:51: -1,3327281E+03
13:11:01: -1,3327281E+03
13:11:11: -1,3327281E+03
13:11:22: -1,3251102E+03
13:11:32: -1,3251102E+03
13:11:42: -1,3251102E+03
13:11:52: -1,3251102E+03
13:12:02: -1,3251102E+03
13:12:12: -1,3084315E+03
13:12:23: -1,2777413E+03
13:12:33: -1,2702494E+03
13:12:42: -1,2427080E+03
13:12:51: -1,2427080E+03
13:13:01: -1,2301393E+03
13:13:12: -1,2264593E+03
13:13:23: -1,2137975E+03
13:13:34: -1,1995490E+03
13:13:45: -1,1508296E+03
13:13:54: -1,1445698E+03
13:14:04: -1,1194457E+03
13:14:14: -1,1194457E+03
13:14:25: -1,1146320E+03
13:14:35: -1,0999253E+03
13:14:45: -1,0862960E+03
13:14:55: -1,0862960E+03
13:15:05: -1,0862960E+03
13:15:15: -1,0860341E+03
13:15:26: -1,0398895E+03
13:15:36: -1,0322785E+03
13:15:46: -1,0322785E+03
13:15:56: -1,0322785E+03
13:16:06: -1,0322785E+03
13:16:16: -1,0322785E+03
13:16:27: -1,0322785E+03
13:16:37: -1,0322785E+03
13:16:47: -1,0322785E+03
13:16:57: -1,0322785E+03
13:17:07: -1,0322785E+03
13:17:17: -9,8657097E+02
13:17:28: -9,8657097E+02
13:17:38: -9,8657097E+02
13:17:48: -9,8654187E+02
13:17:58: -9,8651894E+02
13:18:07: -9,7392844E+02
13:18:19: -9,6097602E+02
13:18:29: -9,6097602E+02
13:18:38: -9,5360672E+02
13:18:47: -9,3430259E+02
13:18:57: -9,3430259E+02
13:19:07: -9,1186766E+02
13:19:18: -9,1186766E+02
13:19:28: -9,1186766E+02
13:19:38: -9,0601234E+02
13:19:52: -9,0601234E+02
13:20:12: -9,0601234E+02
13:20:41: -8,9009503E+02
13:21:12: -8,7866398E+02
13:21:22: -8,7866398E+02
13:21:32: -8,7866398E+02
13:21:50: -8,4891975E+02
13:22:21: -8,4891975E+02
13:22:33: -8,4412398E+02
13:22:49: -8,4412398E+02
13:23:28: -8,3901405E+02
13:23:42: -8,2321597E+02
13:23:52: -8,2321597E+02
13:24:19: -8,2321597E+02
13:24:41: -8,2307014E+02
13:25:01: -8,2307014E+02
13:25:20: -8,2307014E+02
13:25:40: -8,1986243E+02
13:25:52: -8,1654877E+02
13:26:05: -8,1312506E+02
13:26:15: -8,1125467E+02
13:26:25: -8,0472601E+02
13:26:35: -8,0034885E+02
13:26:45: -7,9495043E+02
13:26:55: -7,9495043E+02
13:27:06: -7,9164296E+02
13:27:16: -7,9164296E+02
13:27:26: -7,9076584E+02
13:27:36: -7,7986367E+02
13:27:46: -7,7112186E+02
13:27:57: -7,5036363E+02
13:28:07: -7,2911536E+02
13:28:25: -7,2402521E+02
13:28:49: -7,2390114E+02
13:29:36: -7,2390114E+02
13:30:21: -7,2390114E+02
13:30:42: -7,2024720E+02
13:31:04: -7,2024720E+02
13:31:24: -7,1846713E+02
13:31:43: -7,0610864E+02
13:32:07: -7,0302903E+02
13:32:36: -7,0302903E+02
13:33:00: -6,8951382E+02
13:33:23: -6,8951382E+02
13:33:49: -6,8951382E+02
13:34:12: -6,8468195E+02
13:34:22: -6,8468195E+02
13:34:32: -6,7754784E+02
13:34:42: -6,7305178E+02
13:34:55: -6,6800881E+02
13:35:06: -6,4215189E+02
13:35:16: -6,1965998E+02
13:35:29: -6,1935871E+02
13:35:39: -6,0946402E+02
13:35:50: -6,0843374E+02
13:36:01: -6,0843374E+02
13:36:11: -6,0843374E+02
13:36:21: -6,0843374E+02
13:36:32: -6,0336689E+02
13:36:42: -6,0144776E+02
13:36:53: -6,0132956E+02
13:37:02: -6,0132956E+02
13:37:12: -6,0132956E+02
13:37:22: -6,0132956E+02
13:37:33: -6,0105027E+02
13:37:43: -6,0042688E+02
13:37:53: -5,9899188E+02
13:38:03: -5,9899188E+02
13:38:13: -5,9899188E+02
13:38:22: -5,9230111E+02
13:38:32: -5,8743628E+02
13:38:42: -5,8743628E+02
13:38:52: -5,8743628E+02
13:39:02: -5,8516639E+02
13:39:12: -5,8415843E+02
13:39:22: -5,8415843E+02
13:39:32: -5,8415843E+02
13:39:43: -5,7684098E+02
13:39:53: -5,7514975E+02
13:40:03: -5,7514975E+02
13:40:13: -5,6760977E+02
13:40:23: -5,6393670E+02
13:40:33: -5,5116062E+02
13:40:44: -5,5116062E+02
13:40:54: -5,4679916E+02
13:41:04: -5,3499425E+02
13:41:14: -5,2829492E+02
13:41:24: -5,2829492E+02
13:41:35: -5,1891681E+02
13:41:45: -5,1470930E+02
13:41:55: -5,0843041E+02
13:42:05: -4,7918092E+02
13:42:15: -4,7918092E+02
13:42:26: -4,7420834E+02
13:42:36: -4,7192143E+02
13:42:46: -4,6742312E+02
13:42:56: -4,3893287E+02
13:43:07: -4,3762965E+02
13:43:16: -4,3386177E+02
13:43:26: -4,3386177E+02
13:43:36: -4,3253140E+02
13:43:47: -4,3253140E+02
13:43:59: -4,2443231E+02
13:44:09: -4,2443231E+02
13:44:20: -4,1962686E+02
13:44:29: -4,1798599E+02
13:44:40: -4,1455483E+02
13:44:52: -4,0879549E+02
13:45:04: -4,0879549E+02
13:45:15: -4,0586422E+02
13:45:26: -3,9970377E+02
13:45:36: -3,9674629E+02
13:45:47: -3,9674629E+02
13:45:57: -3,9674629E+02
13:46:07: -3,9599244E+02
13:46:17: -3,9178702E+02
13:46:28: -3,8269039E+02
13:46:39: -3,8269039E+02
13:46:50: -3,8269039E+02
13:47:00: -3,8269039E+02
13:47:10: -3,8269039E+02
13:47:20: -3,8269039E+02
13:47:30: -3,8209023E+02
13:47:41: -3,8209023E+02
13:47:51: -3,8013482E+02
13:48:01: -3,8013482E+02
13:48:11: -3,8013482E+02
13:48:21: -3,8013482E+02
13:48:32: -3,7822295E+02
13:48:44: -3,7822295E+02
13:48:54: -3,7822295E+02
13:49:04: -3,7822295E+02
13:49:16: -3,7822295E+02
13:49:26: -3,7822295E+02
13:49:37: -3,7822295E+02
13:49:47: -3,7822295E+02
13:49:57: -3,7502511E+02
13:50:07: -3,7502511E+02
13:50:19: -3,7502511E+02
13:50:29: -3,7502511E+02
13:50:40: -3,7502511E+02
13:50:52: -3,7353962E+02
13:51:02: -3,7353962E+02
13:51:12: -3,7353962E+02
13:51:22: -3,7353962E+02
13:51:32: -3,7353962E+02
13:51:42: -3,7353962E+02
13:51:53: -3,7353962E+02
13:52:03: -3,7353962E+02
13:52:13: -3,7353962E+02
13:52:23: -3,6898424E+02
13:52:33: -3,6898424E+02
13:52:44: -3,6749099E+02
13:52:54: -3,6749099E+02
13:53:04: -3,6685678E+02
13:53:14: -3,6685678E+02
13:53:24: -3,6685678E+02
13:53:40: -3,6685678E+02
13:53:55: -3,6685678E+02
13:54:05: -3,6685678E+02
13:54:21: -3,6685678E+02
13:54:31: -3,6685678E+02
13:54:48: -3,6685678E+02
13:55:14: -3,6685678E+02
13:55:34: -3,6548786E+02
13:56:11: -3,6526002E+02
13:56:36: -3,6526002E+02
13:57:00: -3,6033420E+02
13:57:20: -3,6033420E+02
13:57:43: -3,5476803E+02
13:58:11: -3,5476803E+02
13:58:42: -3,5476803E+02
13:59:12: -3,5476803E+02
13:59:31: -3,5476803E+02
13:59:49: -3,5476803E+02
14:00:13: -3,5380218E+02
14:00:38: -3,5380218E+02
14:01:02: -3,4362875E+02
14:01:22: -3,4040975E+02
14:01:49: -3,3882270E+02
14:02:01: -3,3882270E+02
14:02:32: -3,3882270E+02
14:03:14: -3,3882270E+02
14:03:43: -3,3882270E+02
14:03:55: -3,3571860E+02
14:04:09: -3,2430566E+02
14:04:28: -3,1764786E+02
14:04:50: -3,1764786E+02
14:05:12: -3,1367969E+02
14:05:33: -3,0902609E+02
14:05:53: -3,0902609E+02
14:06:11: -3,0902609E+02
14:06:26: -3,0902609E+02
14:06:59: -3,0750497E+02
14:07:14: -3,0750497E+02
14:07:35: -3,0750497E+02
14:07:47: -3,0750497E+02
14:07:57: -3,0750497E+02
14:08:34: -3,0750497E+02
14:09:02: -3,0742950E+02
14:09:23: -3,0742950E+02
14:09:43: -3,0742950E+02
14:10:14: -3,0675169E+02
14:10:40: -3,0675169E+02
14:11:02: -3,0605166E+02
14:11:32: -3,0484411E+02
14:11:54: -2,8985806E+02
14:12:07: -2,8985806E+02
14:12:20: -2,8985806E+02
14:12:30: -2,8216354E+02
14:12:41: -2,8016552E+02
14:12:50: -2,8016552E+02
14:13:00: -2,8016552E+02
14:13:13: -2,7984011E+02
14:13:23: -2,7984011E+02
14:13:55: -2,7984011E+02
14:14:07: -2,7984011E+02
14:14:16: -2,7617568E+02
14:14:26: -2,7396110E+02
14:14:44: -2,7396110E+02
14:15:19: -2,7396110E+02
14:15:51: -2,7396110E+02
14:16:20: -2,7396110E+02
14:16:38: -2,7396110E+02
14:17:06: -2,6674521E+02
14:17:31: -2,6674521E+02
14:17:53: -2,6491534E+02
14:18:14: -2,6491534E+02
14:18:32: -2,6491534E+02
14:18:44: -2,6486127E+02
14:19:13: -2,5922145E+02
14:19:41: -2,5922145E+02
14:19:59: -2,5922145E+02
14:20:32: -2,5922145E+02
14:20:58: -2,5922145E+02
14:21:09: -2,5920256E+02
14:21:21: -2,5629140E+02
14:21:31: -2,5573352E+02
14:21:45: -2,5573352E+02
14:21:59: -2,5573352E+02
14:22:20: -2,5310578E+02
14:22:48: -2,5310578E+02
14:23:15: -2,5310578E+02
14:23:39: -2,5310578E+02
14:24:18: -2,5310578E+02
14:24:50: -2,5310578E+02
14:25:13: -2,5310578E+02
14:25:56: -2,5208312E+02
14:26:06: -2,5172810E+02
14:26:16: -2,5071044E+02
14:26:26: -2,4857034E+02
14:26:36: -2,4857034E+02
14:26:46: -2,4857034E+02
14:26:57: -2,4685323E+02
14:27:09: -2,4685323E+02
14:27:19: -2,4685323E+02
14:27:29: -2,4685323E+02
14:27:39: -2,4177196E+02
14:27:50: -2,3727081E+02
14:27:59: -2,3727081E+02
14:28:24: -2,3576670E+02
14:28:48: -2,3337309E+02
14:29:01: -2,3216367E+02
14:29:11: -2,3216367E+02
14:29:21: -2,3089664E+02
14:29:31: -2,2527164E+02
14:29:47: -2,2527164E+02
14:30:04: -2,2527164E+02
14:30:14: -2,2527164E+02
14:30:28: -2,2527164E+02
14:30:44: -2,2527164E+02
14:30:55: -2,2334205E+02
14:31:07: -2,2239785E+02
14:31:17: -2,2239785E+02
14:31:27: -2,2178310E+02
14:31:37: -2,1705905E+02
14:31:53: -2,1626482E+02
14:32:04: -2,1362512E+02
14:32:14: -2,0934019E+02
14:32:25: -2,0635179E+02
14:32:34: -2,0104978E+02
14:32:44: -2,0104978E+02
14:32:54: -2,0104978E+02
14:33:07: -2,0104978E+02
14:33:17: -2,0104978E+02
14:33:27: -2,0104978E+02
14:33:39: -1,9604757E+02
14:33:48: -1,9264168E+02
14:33:57: -1,9264168E+02
14:34:08: -1,9264168E+02

